/*! HTML5 Boilerplate v5.2.0 | MIT License | https://html5boilerplate.com/ */

/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
    color: #222;
    font-size: 1em;
    line-height: 1.4;
    }

::-moz-selection {
    background: #b3d4fc;
    color: $text-color-invert;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    color: $text-color-invert;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
    }

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio, canvas,
iframe, img,
svg, video { vertical-align: middle; }

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
    }

textarea { resize: vertical; }

/* ==========================================================================
   Browser Upgrade Prompt
   ========================================================================== */

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
    }

/* ==========================================================================
   All default styles
   ========================================================================== */

/* Typo */
body {
    min-height: 100%;
    height: 100%;
    font-family: $main-font;
    color: $text-color;
    min-width: $min-width;
    font-size: 20px;
    font-weight: 300;
    line-height: 29px;
    position: relative;
    text-rendering: optimizeLegibility;
     -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
             font-smoothing: antialised;
    overflow-y: scroll;
    }

h1, h2, h3, h4 {
    color: #c39b4c;
    margin-top: 40px;
    margin-bottom: 20px;
    text-transform: uppercase;
    font-family: $contrast-font;

    text-rendering: normal;
     -webkit-font-smoothing: auto;
    -moz-osx-font-smoothing: auto;
             font-smoothing: auto;
    }

h1 {
    font-size: 2em;
    letter-spacing: 1px;
    color: $header-color;
    }

p { margin-bottom: 20px; }

.lead {
    font-size: 1.3em; 
    line-height: 1.4em;
    font-weight: 300; 
    margin-bottom: 60px;
    }
@media screen and (min-width: $screen-sm-min) {
    .lead { font-size: 1.5em; }
}

.lead + p {
    &:before {
        content: "";
        display: block;
        border: 2px solid $contrast-5;
        width: 60px;
        margin-bottom: 20px;
        }
    }

small { font-size: .7em; }

blockquote {
    margin: 10px 0 15px; 
    font-size: 1.1em;
    line-height: 1.4em;
    }

figure {
    border: 1px solid $text-color;
    display: inline-block;
    padding: 3px;
    max-width: 100%;
    }

    figure.pull-right { clear: right; }

    img { 
        max-width: 100%; 
        width: 100%;
        }

    @media screen and (min-width: $screen-sm-min) {
        img.pull-right { margin-left: 20px; }
        img.pull-left { margin-right: 20px; }
    }
    

    figcaption {
        font-style: italic;
        padding: 3px 5px;
        }

    a, a:visited { text-decoration: underline; }

    a:hover, a:active {
        text-decoration: none;
        color: $contrast-1;
        }

    .on-background a, .on-background  a:visited { color: $text-color-invert; }
    .on-background, .on-background h1 { color: $text-color-invert; }   


/* ==========================================================================
   Helper classes
   ========================================================================== */

.text-center { text-align: center; }
.white-section { background-color: #fff; }

/*
 * Hide visually and from screen readers:
 */
.hidden { display: none !important; }

/*
 * Hide only visually, but have it available for screen readers:
 * http://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 */

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    }   

/*
 * Extends the .visuallyhidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
    }

/*
 * Hide visually and from screen readers, but maintain layout
 */
.invisible { visibility: hidden; }

.clearfix:before,
.clearfix:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.clearfix:after { clear: both; }

.clear-right { clear: right; }
.clear-left { clear: left; }


    .relative { position: relative; }
    .centered {
        margin-left: auto;
        margin-right: auto;
        }

.pull-left { float: left; }
.pull-right { float: right; }

.no-text {
    display: block;
    overflow: hidden;
    text-indent: -999em;
    }

.icon {
    display: inline-block;
    width: 10px;
    height: 10px;
    margin-left: 15px;
    background: no-repeat center center;
    }

/* Layout */
.page-width {
    margin-left: auto;
    margin-right: auto;
    width: $max-width;
    max-width: $screen-sm-min;
    min-width: $min-width;
    clear: both;
    }

/* lists */
.unstyled-list, .unstyled-list li {
    margin: 0;
    padding: 0;
    list-style: none;
    }

.hor-list li { display: inline-block; }

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
    /* Style adjustments for viewports that meet the condition */
}

@media print,
       (-webkit-min-device-pixel-ratio: 1.25),
       (min-resolution: 1.25dppx),
       (min-resolution: 120dpi) {
    /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   ========================================================================== */

@media print {
    *,
    *:before,
    *:after {
        background: transparent !important;
        color: #000 !important; /* Black prints faster:
                                   http://www.sanbeiji.com/archives/953 */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a, a:visited { text-decoration: underline; }

    a[href]:after { content: " (" attr(href) ")"; }

    abbr[title]:after { content: " (" attr(title) ")"; }

    /*
     * Don't show links that are fragment identifiers,
     * or use the `javascript:` pseudo protocol
     */

    a[href^="#"]:after,
    a[href^="javascript:"]:after { content: ""; }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
        }

    /*
     * Printing Tables:
     * http://css-discuss.incutio.com/wiki/Printing_Tables
     */

    thead { display: table-header-group; }

    tr, img { page-break-inside: avoid; }

    img { max-width: 100% !important; }

    p, h2, h3 {
        orphans: 3;
        widows: 3;
        }

    h2, h3 { page-break-after: avoid; }
}
